Bug 1000825 - A brother HL-2140 printer doesn't work [NEEDINFO]
A brother HL-2140 printer doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
18
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-25 13:46 EDT by Fernando Antelo
Modified: 2014-02-05 17:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:19:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: needinfo? (fernando.antelo)


Attachments (Terms of Use)
Fedora 18 troubleshooting process result. (109.41 KB, text/plain)
2013-08-25 13:46 EDT, Fernando Antelo
no flags Details

  None (edit)
Description Fernando Antelo 2013-08-25 13:46:19 EDT
Created attachment 790123 [details]
Fedora 18 troubleshooting process result.

Description of problem:
A Brother HL-2140 printer doesn't work under Fedora 18 (printing work is launched but printer does nothing.

Version-Release number of selected component (if applicable):


How reproducible:
Any printing work

Steps to Reproduce: whatever
1.
2.
3.

Actual results:
Printer doesn't receive any job to print out

Expected results:
Print 

Additional info:
a report file is enclosed with the resuult od Fedora printer troubleshooting.
Comment 2 Jiri Popelka 2013-08-26 04:55:43 EDT
Problem seems to be that you use 'Foomatic/hpijs-pcl5e' driver while hpijs package is not installed. Was the printer queue installed automatically or did you select the driver yourself ? According to [1] the 'Foomatic/Postscript' driver should have been selected (or maybe it's because I'm trying it on F19 ?).

Can you either install hpijs or change the driver in system-config-printer (double-click the printer and press 'Change...' button next to 'Make and Model') to some other (like Foomatic/Postscript or hl1250) and let me know if that fixes the problem?

[1] python -c "import cupshelpers; cupshelpers.xmldriverprefs.test(xml_path='/etc/cupshelpers/',deviceid='MFG:Brother;CMD:PJL,HBP;MDL:HL-2140 series;')"
Comment 3 Jiri Popelka 2013-08-26 05:03:34 EDT
Could you also run that command and attach output ?

python -c "import cupshelpers; cupshelpers.xmldriverprefs.test(xml_path='/etc/cupshelpers/',deviceid='MFG:Brother;CMD:PJL,HBP;MDL:HL-2140 series;')"
Comment 4 Fedora End Of Life 2013-12-21 09:31:22 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:19:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.